## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%ifnarch riscv64
%bcond_without check
%else
%bcond_with check
%endif

# https://github.com/go-stomp/stomp
%global goipath         github.com/go-stomp/stomp/v3
%global forgeurl        https://github.com/go-stomp/stomp/
Version:                3.0.2

%gometa

%global common_description %{expand:
Go language library for STOMP protocol.}

%global golicenses      LICENSE.txt
%global godocs          examples AUTHORS.md README.md breaking_changes.md

Name:           %{goname}
Release:        %autorelease -e 0.riscv64
Summary:        Go language library for STOMP protocol

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(gopkg.in/check.v1)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in stompd; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.txt
%doc examples AUTHORS.md README.md breaking_changes.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Dec 12 2023 David Abdurachmanov <davidlt@rivosinc.com> 3.0.2-7.0.riscv64
- Disable tests on riscv64 for now

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.0.2-2
- Fix autochangelog

* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.0.2-1
- Initial import
